curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "01K6TX03CJ1T88HRYE78AN7VWX",
"date": "2025-09-15",
"posted_date": "2025-09-16",
"effective_date": "2023-12-25",
"type": "debit",
"amount": -150,
"running_balance": 15080.5,
"description": "Electric Company Payment",
"merchant_name": "Springfield Electric Co.",
"reference_number": "REF-2025-09-15-001",
"check_number": null,
"category": "bills",
"is_recurring": true,
"is_flagged": false,
"flag_reason": "suspicious",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Retrieve a single transaction.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "01K6TX03CJ1T88HRYE78AN7VWX",
"date": "2025-09-15",
"posted_date": "2025-09-16",
"effective_date": "2023-12-25",
"type": "debit",
"amount": -150,
"running_balance": 15080.5,
"description": "Electric Company Payment",
"merchant_name": "Springfield Electric Co.",
"reference_number": "REF-2025-09-15-001",
"check_number": null,
"category": "bills",
"is_recurring": true,
"is_flagged": false,
"flag_reason": "suspicious",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Transaction details.
Show child attributes